<ng-container *ngIf='vm$ | async as vm'>
  <header class='text-purple-300 hidden md:block'>
    <div class='container mx-auto flex flex-wrap p-5 flex-col md:flex-row items-center'>
      <nav class='md:ml-auto flex flex-wrap items-center text-base justify-center space-x-2'>
        <!-- logo -->
        <a href='#' class='flex items-center space-x-2 px-4 py-2 absolute left-1'>
          <span class='text-2xl font-extrabold dark:text-white text-light ml-2'>myMXC</span>
        </a>
        <button (click)='toggleDarkMode()' class='flex items-center cursor-pointer
         focus:outline-none'>
          <simulator-icon size='lg'
                          [ngClass]="{'text-yellow-300': vm.icon === uiIcon.sun,
                    'text-light': vm.icon === uiIcon.moon}" [icon]='vm.icon'>
          </simulator-icon>
        </button>
        <span class='text-gray-500 dark:text-white' *ngIf='vm.user else loading'>
          Welcome <span class='underline'>{{vm.user.displayName || vm.user.email}}</span>
        </span>
        <ng-template #loading>
          <simulator-item-load></simulator-item-load>
        </ng-template>
        <img *ngIf='vm.branding && vm.user?.isSynced' [src]='vm.branding.logoPath' alt='supernode' width='50px'>
        <button
          (click)='syncHandler(vm.user?.isSynced)'
          [ngClass]="{'text-indigo-800 dark:text-white': vm.user?.isSynced, 'text-rose-800': !vm.user?.isSynced}"
          class='inline-flex items-center px-2.5 py-0.5 rounded-md text-sm font-medium'>
          <simulator-icon class='animate-ping -ml-0.5 mr-1.5 w-2'
                          [ngClass]="{'text-green-400': vm.user?.isSynced, 'text-rose-400': !vm.user?.isSynced}"size='sm'
                          icon='dot'></simulator-icon>
          {{vm.user?.isSynced ? 'Synced' : 'Not Synced'}}
        </button>
      </nav>
    </div>
  </header>
</ng-container>
